Create or update the asset number policy
curl --request PATCH \
--url https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/devices/asset-number/policy \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"prefixPattern": [
{
"type": "fixed",
"metadata": {
"value": "ADMINA"
}
}
],
"suffixDigits": 2
}
'import requests
url = "https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/devices/asset-number/policy"
payload = {
"prefixPattern": [
{
"type": "fixed",
"metadata": { "value": "ADMINA" }
}
],
"suffixDigits": 2
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({prefixPattern: [{type: 'fixed', metadata: {value: 'ADMINA'}}], suffixDigits: 2})
};
fetch('https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/devices/asset-number/policy', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"assignmentMethod": "shared",
"policy": {
"id": 1,
"prefixPattern": [
{
"type": "fixed",
"metadata": {
"value": "ADMINA"
}
}
],
"suffixDigits": 2,
"enabled": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}Devices
Create or update the asset number policy
Create or update the asset number generation policy for the organization.
PATCH
/
api
/
v1
/
organizations
/
{organizationId}
/
devices
/
asset-number
/
policy
Create or update the asset number policy
承認
パスパラメータ
ボディ
application/json
最終更新日 2026年9月15日
このページは役に立ちましたか?

